# Uses of Class
net.shibboleth.idp.authn.principal.TOTPPrincipal

Packages that use TOTPPrincipal
Package
Description
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.

## Uses of TOTPPrincipal in net.shibboleth.idp.authn.principal

Methods in net.shibboleth.idp.authn.principal that return TOTPPrincipal
Modifier and Type
Method
Description
`TOTPPrincipal`
TOTPPrincipal.`clone()`
Creates and returns a copy of this object.